Bug 127756 - Kernel panics while running Seti@Home
Kernel panics while running Seti@Home
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
2
i686 Linux
medium Severity high
: ---
: ---
Assigned To: Dave Jones
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-07-13 10:00 EDT by Travis Tibbs
Modified: 2015-01-04 17:07 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-04-16 00:07:43 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Entire output from kernel bug to kernel panic (624.05 KB, text/plain)
2004-07-13 10:12 EDT, Travis Tibbs
no flags Details

  None (edit)
Description Travis Tibbs 2004-07-13 10:00:08 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; Windows NT 5.0; en-US; rv:1.7)
Gecko/20040616

Description of problem:
After running Seti@Home client (v3.08) for some time (not sure exactly
how long, but it's less than 8hrs), the kernel comes across a kernel
bug and kernel bug is output to console, but stack trace causes bug to
re-occur, resulting in multiple reports of bug until stack overflow
occurs. Eventually, kernel panics.


Version-Release number of selected component (if applicable):
2.6.6-1.435.2.3

How reproducible:
Always

Steps to Reproduce:
1. Run Seti@Home v3.08 as non-root user.
2. Wait for a few hours (eg. overnight)

    

Actual Results:  Kernel panics.

Expected Results:  Kernel should not panic.

Additional info:

Hardware Environment: 1x(Intel Pentium III (Katmai) stepping 03);
256MB RAM; 1x4GB + 1x40GB IDE HDs (setup as 2 raid1 metadisks with no
mirror, yet)
Comment 1 Warren Togami 2004-07-13 10:03:48 EDT
Any chance you can attach the console output, starting from the first
BUG until the final panic?  I personally like "netconsole" for this
purpose (search Google) as an easy method of sending console output to
another computer on my home network.  Another option is netdump, but
that is more difficult to configure.

Are you sure it isn't happening due to overheating?
Comment 2 Travis Tibbs 2004-07-13 10:12:43 EDT
Created attachment 101862 [details]
Entire output from kernel bug to kernel panic

Attached text file shows the calls leading up to the stack overflow and a good
number of messages before the kernel panics.
Comment 3 Travis Tibbs 2004-07-13 10:23:21 EDT
Not sure if overheating is an issue, but I doubt it, because I haven't
changed the hardware config or physical location of this box for
several months. But, this behavior distinctly started when I upgraded
from RH9 (kernel 2.4.x) to FC2 (kernel 2.6.x). Only last night was I
able to get around to configuring a serial console on the box, so that
I could capture the output in the file that I attached above.

So, I can't rule out overheating, for sure. But, I can say that the
circumstances surrounding it seem to point to the kernel upgrade,
rather than a sudden overheating issue. Seti@Home ran fine on the box
before I upgraded to FC2 w/ the 2.6 kernel.

Let me know if you still lean toward the overheating theory, and I'll
try to come up with a way to monitor it.
Comment 4 Warren Togami 2004-07-13 18:39:32 EDT
Please try the latest rawhide kernels too.
Comment 5 Dave Jones 2004-11-26 23:50:59 EST
interested to hear if this is still a problem with the 2.6.9 kernel update.
Comment 6 Dave Jones 2005-04-16 00:07:43 EDT
Fedora Core 2 has now reached end of life, and no further updates will be
provided by Red Hat.  The Fedora legacy project will be producing further kernel
updates for security problems only.

If this bug has not been fixed in the latest Fedora Core 2 update kernel, please
try to reproduce it under Fedora Core 3, and reopen if necessary, changing the
product version accordingly.

Thank you.

Note You need to log in before you can comment on or make changes to this bug.